"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const udp = require("dgram");
/**
 * Clase con metodos para el client UDP
 *
 * @export
 * @class UdpClient
 */
class UdpClient {
    /**
     * Metodo para el envio de datos a un servidor UDP
     *
     * @static
     * @param {Buffer} data
     * @param {number} port
     * @param {string} server
     * @param {*} [logs=null]
     * @memberof UdpClient
     */
    static Send(data, port, server, logs = null) {
        // Crear el cliente
        const client = udp.createSocket('udp4');
        // Enviar los datos
        client.send(data, port, server, (error) => {
            if (error) {
                if (logs) {
                    logs.error(error);
                }
            }
            // Siempre se cerrara la conexion
            client.close();
        });
    }
}
exports.default = UdpClient;
